<?php
/**
 * Colors Customizer
 */

/**
 * Register the customizer.
 */
function leda_colors_customize_register( $wp_customize ) {

	// Register global colors setting
	$wp_customize->add_setting( 'leda-global-colors', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-global-colors', array(
		'label'             => esc_html__( 'GLOBAL', 'leda' ),
		'section'           => 'colors',
		'priority'          => 1
	) ) );

		// Register text color setting
		$wp_customize->add_setting( 'leda-global-text-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-global-text-color', array(
			'label'             => esc_html__( 'Text', 'leda' ),
			'section'           => 'colors',
			'priority'          => 3
		) ) );

		// Register text color setting
		$wp_customize->add_setting( 'leda-global-link-color', array(
			'default'           => '#278db0',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-global-link-color', array(
			'label'             => esc_html__( 'Link', 'leda' ),
			'section'           => 'colors',
			'priority'          => 5
		) ) );

		// Register search icon color setting
		$wp_customize->add_setting( 'leda-search-icon-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-search-icon-color', array(
			'label'             => esc_html__( 'Search icon', 'leda' ),
			'section'           => 'colors',
			'priority'          => 7
		) ) );

	// Register header colors setting
	$wp_customize->add_setting( 'leda-header-colors', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-header-colors', array(
		'label'             => esc_html__( 'HEADER', 'leda' ),
		'section'           => 'colors',
		'priority'          => 9
	) ) );

		// Register header background color setting
		$wp_customize->add_setting( 'leda-header-bg-color', array(
			'default'           => '#ffffff',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-header-bg-color', array(
			'label'             => esc_html__( 'Background', 'leda' ),
			'section'           => 'colors',
			'priority'          => 11
		) ) );

		// Register site title color setting
		$wp_customize->add_setting( 'leda-site-title-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-site-title-color', array(
			'label'             => esc_html__( 'Site title', 'leda' ),
			'section'           => 'colors',
			'priority'          => 13
		) ) );

		// Register site desc color setting
		$wp_customize->add_setting( 'leda-site-desc-color', array(
			'default'           => '#777777',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-site-desc-color', array(
			'label'             => esc_html__( 'Site description', 'leda' ),
			'section'           => 'colors',
			'priority'          => 15
		) ) );

	// Register menu colors setting
	$wp_customize->add_setting( 'leda-menu-colors', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-menu-colors', array(
		'label'             => esc_html__( 'MENU', 'leda' ),
		'section'           => 'colors',
		'priority'          => 17
	) ) );

		// Register menu background color setting
		$wp_customize->add_setting( 'leda-menu-link-bg-color', array(
			'default'           => '#ffffff',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-menu-link-bg-color', array(
			'label'             => esc_html__( 'Background', 'leda' ),
			'section'           => 'colors',
			'priority'          => 19
		) ) );

		// Register menu border color setting
		$wp_customize->add_setting( 'leda-menu-border-color', array(
			'default'           => '#e9e9e9',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-menu-border-color', array(
			'label'             => esc_html__( 'Border top', 'leda' ),
			'section'           => 'colors',
			'priority'          => 21
		) ) );

		// Register link color setting
		$wp_customize->add_setting( 'leda-menu-link-color', array(
			'default'           => '#278db0',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-menu-link-color', array(
			'label'             => esc_html__( 'Link', 'leda' ),
			'section'           => 'colors',
			'priority'          => 23
		) ) );

		// Register menu hover color setting
		$wp_customize->add_setting( 'leda-menu-current-hover-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-menu-current-hover-color', array(
			'label'             => esc_html__( 'Hover & current', 'leda' ),
			'section'           => 'colors',
			'priority'          => 25
		) ) );

	// Register posts colors setting
	$wp_customize->add_setting( 'leda-posts-colors', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-posts-colors', array(
		'label'             => esc_html__( 'POST', 'leda' ),
		'section'           => 'colors',
		'priority'          => 27
	) ) );

		// Register post text color setting
		$wp_customize->add_setting( 'leda-post-text-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-post-text-color', array(
			'label'             => esc_html__( 'Text', 'leda' ),
			'section'           => 'colors',
			'priority'          => 29
		) ) );

		// Register post heading color setting
		$wp_customize->add_setting( 'leda-post-heading-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-post-heading-color', array(
			'label'             => esc_html__( 'Heading', 'leda' ),
			'section'           => 'colors',
			'priority'          => 31
		) ) );

		// Register post link color setting
		$wp_customize->add_setting( 'leda-post-link-color', array(
			'default'           => '#278db0',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-post-link-color', array(
			'label'             => esc_html__( 'Link', 'leda' ),
			'section'           => 'colors',
			'priority'          => 33
		) ) );

		// Register post link hover color setting
		$wp_customize->add_setting( 'leda-post-link-hover-color', array(
			'default'           => '#37abd3',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-post-link-hover-color', array(
			'label'             => esc_html__( 'Link hover', 'leda' ),
			'section'           => 'colors',
			'priority'          => 35
		) ) );

	// Register page colors setting
	$wp_customize->add_setting( 'leda-page-colors', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-page-colors', array(
		'label'             => esc_html__( 'PAGE', 'leda' ),
		'section'           => 'colors',
		'priority'          => 37
	) ) );

		// Register page text color setting
		$wp_customize->add_setting( 'leda-page-text-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-page-text-color', array(
			'label'             => esc_html__( 'Text', 'leda' ),
			'section'           => 'colors',
			'priority'          => 39
		) ) );

		// Register page heading color setting
		$wp_customize->add_setting( 'leda-page-heading-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-page-heading-color', array(
			'label'             => esc_html__( 'Heading', 'leda' ),
			'section'           => 'colors',
			'priority'          => 41
		) ) );

		// Register page link color setting
		$wp_customize->add_setting( 'leda-page-link-color', array(
			'default'           => '#278db0',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-page-link-color', array(
			'label'             => esc_html__( 'Link', 'leda' ),
			'section'           => 'colors',
			'priority'          => 43
		) ) );

		// Register page link hover color setting
		$wp_customize->add_setting( 'leda-page-link-hover-color', array(
			'default'           => '#37abd3',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-page-link-hover-color', array(
			'label'             => esc_html__( 'Link hover', 'leda' ),
			'section'           => 'colors',
			'priority'          => 45
		) ) );

	// Register widget colors setting
	$wp_customize->add_setting( 'leda-widget-colors', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-widget-colors', array(
		'label'             => esc_html__( 'WIDGET', 'leda' ),
		'section'           => 'colors',
		'priority'          => 47
	) ) );

		// Register widget title background color setting
		$wp_customize->add_setting( 'leda-widget-bg-title-color', array(
			'default'           => '#ffffff',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-widget-bg-title-color', array(
			'label'             => esc_html__( 'Backgroun title', 'leda' ),
			'section'           => 'colors',
			'priority'          => 49
		) ) );

		// Register widget title color setting
		$wp_customize->add_setting( 'leda-widget-title-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-widget-title-color', array(
			'label'             => esc_html__( 'Title', 'leda' ),
			'section'           => 'colors',
			'priority'          => 51
		) ) );

		// Register widget text color setting
		$wp_customize->add_setting( 'leda-widget-text-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-widget-text-color', array(
			'label'             => esc_html__( 'Text', 'leda' ),
			'section'           => 'colors',
			'priority'          => 53
		) ) );

		// Register widget link color setting
		$wp_customize->add_setting( 'leda-widget-link-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-widget-link-color', array(
			'label'             => esc_html__( 'Link', 'leda' ),
			'section'           => 'colors',
			'priority'          => 57
		) ) );

		// Register widget link hover color setting
		$wp_customize->add_setting( 'leda-widget-link-hover-color', array(
			'default'           => '#278db0',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-widget-link-hover-color', array(
			'label'             => esc_html__( 'Link hover', 'leda' ),
			'section'           => 'colors',
			'priority'          => 59
		) ) );

		// Register widget border color setting
		$wp_customize->add_setting( 'leda-widget-border-color', array(
			'default'           => '#e9e9e9',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-widget-border-color', array(
			'label'             => esc_html__( 'Border', 'leda' ),
			'section'           => 'colors',
			'priority'          => 61
		) ) );

	// Register widget footer colors setting
	$wp_customize->add_setting( 'leda-widget-footer-colors', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-widget-footer-colors', array(
		'label'             => esc_html__( 'WIDGET FOOTER', 'leda' ),
		'section'           => 'colors',
		'priority'          => 63
	) ) );

		// Register widget footer background color setting
		$wp_customize->add_setting( 'leda-widget-footer-bg-color', array(
			'default'           => '#ffffff',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-widget-footer-bg-color', array(
			'label'             => esc_html__( 'Background', 'leda' ),
			'section'           => 'colors',
			'priority'          => 65
		) ) );

		// Register widget footer border color setting
		$wp_customize->add_setting( 'leda-widget-footer-border-color', array(
			'default'           => '#ffffff',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-widget-footer-border-color', array(
			'label'             => esc_html__( 'Border', 'leda' ),
			'section'           => 'colors',
			'priority'          => 67
		) ) );

	// Register footer colors setting
	$wp_customize->add_setting( 'leda-footer-colors', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-footer-colors', array(
		'label'             => esc_html__( 'FOOTER', 'leda' ),
		'section'           => 'colors',
		'priority'          => 69
	) ) );

		// Register footer background color setting
		$wp_customize->add_setting( 'leda-footer-bg-color', array(
			'default'           => '#f5f5f5',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-footer-bg-color', array(
			'label'             => esc_html__( 'Background', 'leda' ),
			'section'           => 'colors',
			'priority'          => 71
		) ) );

		// Register footer color setting
		$wp_customize->add_setting( 'leda-footer-text-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-footer-text-color', array(
			'label'             => esc_html__( 'Text color', 'leda' ),
			'section'           => 'colors',
			'priority'          => 73
		) ) );

		// Register footer link color setting
		$wp_customize->add_setting( 'leda-footer-link-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-footer-link-color', array(
			'label'             => esc_html__( 'Link color', 'leda' ),
			'section'           => 'colors',
			'priority'          => 75
		) ) );

	// Register social colors setting
	$wp_customize->add_setting( 'leda-social-colors', array(
		'default'           => '',
		'sanitize_callback' => 'esc_attr'
	) );
	$wp_customize->add_control( new Leda_Custom_Text( $wp_customize, 'leda-social-colors', array(
		'label'             => esc_html__( 'SOCIAL', 'leda' ),
		'section'           => 'colors',
		'priority'          => 77
	) ) );

		// Register social background color setting
		$wp_customize->add_setting( 'leda-footer-social-bg-color', array(
			'default'           => '#454545',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-footer-social-bg-color', array(
			'label'             => esc_html__( 'Background', 'leda' ),
			'section'           => 'colors',
			'priority'          => 79
		) ) );

		// Register social background hover color setting
		$wp_customize->add_setting( 'leda-footer-social-bg-hover-color', array(
			'default'           => '#278db0',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-footer-social-bg-hover-color', array(
			'label'             => esc_html__( 'Background hover', 'leda' ),
			'section'           => 'colors',
			'priority'          => 81
		) ) );

		// Register social icon color setting
		$wp_customize->add_setting( 'leda-footer-social-icon-color', array(
			'default'           => '#ffffff',
			'sanitize_callback' => 'sanitize_hex_color'
		) );
		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'leda-footer-social-icon-color', array(
			'label'             => esc_html__( 'Icon', 'leda' ),
			'section'           => 'colors',
			'priority'          => 83
		) ) );

}
add_action( 'customize_register', 'leda_colors_customize_register' );
