<?php
/**
 * Featured Posts Customizer
 */

/**
 * Register the customizer.
 */
function leda_featured_posts_customize_register( $wp_customize ) {

	// Register new section: Featured Posts
	$wp_customize->add_section( 'leda_featured_posts' , array(
		'title'       => esc_html__( 'Featured Posts', 'leda' ),
		'panel'       => 'leda_options',
		'priority'    => 3
	) );

	// Register featured title setting
	$wp_customize->add_setting( 'leda-featured-title', array(
		'default'           => esc_html__( 'Featured posts', 'leda' ),
		'sanitize_callback' => 'esc_attr',
	) );
	$wp_customize->add_control( 'leda-featured-title', array(
		'label'             => esc_html__( 'Featured posts title', 'leda' ),
		'section'           => 'leda_featured_posts',
		'priority'          => 1,
		'type'              => 'text'
	) );

	// Register featured enable setting
	$wp_customize->add_setting( 'leda-featured-enable', array(
		'default'           => 1,
		'sanitize_callback' => 'leda_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'leda-featured-enable', array(
		'label'             => esc_html__( 'Show featured posts', 'leda' ),
		'section'           => 'leda_featured_posts',
		'priority'          => 3,
		'type'              => 'checkbox'
	) );

	// Register featured enable on home page setting
	$wp_customize->add_setting( 'leda-featured-home-only', array(
		'default'           => 1,
		'sanitize_callback' => 'leda_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'leda-featured-home-only', array(
		'label'             => esc_html__( 'Show featured posts on home page only', 'leda' ),
		'section'           => 'leda_featured_posts',
		'priority'          => 5,
		'type'              => 'checkbox'
	) );

	// Register featured tag setting
	$wp_customize->add_setting( 'leda-featured-tag', array(
		'default'           => '',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'leda-featured-tag', array(
		'label'             => esc_html__( 'Select a tag', 'leda' ),
		'section'           => 'leda_featured_posts',
		'priority'          => 7,
		'type'              => 'select',
		'choices'           => leda_tags_list()
	) );

}
add_action( 'customize_register', 'leda_featured_posts_customize_register' );
