<?php
/**
 * Layout Customizer
 */

/**
 * Register the customizer.
 */
function leda_layouts_customize_register( $wp_customize ) {

	// Register new section: Layouts
	$wp_customize->add_section( 'leda_layouts' , array(
		'title'       => esc_html__( 'Layouts', 'leda' ),
		'panel'       => 'leda_design',
		'priority'    => 3
	) );

	// Register home page layout setting
	$wp_customize->add_setting( 'leda-home-layout', array(
		'default'           => 'standard',
		'sanitize_callback' => 'leda_sanitize_home_layout',
	) );
	$wp_customize->add_control( 'leda-home-layout', array(
		'label'             => esc_html__( 'Home page', 'leda' ),
		'section'           => 'leda_layouts',
		'priority'          => 1,
		'type'              => 'radio',
		'choices'           => array(
			'standard' => __( 'Standard', 'leda' ),
			'grid'     => __( 'Grid', 'leda' )
		)
	) );

}
add_action( 'customize_register', 'leda_layouts_customize_register' );
