<?php
/**
 * Misc Customizer
 */

/**
 * Register the customizer.
 */
function leda_misc_customize_register( $wp_customize ) {

	// Register new section: Misc
	$wp_customize->add_section( 'leda_misc' , array(
		'title'       => esc_html__( 'Misc', 'leda' ),
		'description' => esc_html__( 'These options is used for customizing general elements.', 'leda' ),
		'panel'       => 'leda_options',
		'priority'    => 9
	) );

	// Register Custom RSS setting
	$wp_customize->add_setting( 'leda-custom-rss', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'leda-custom-rss', array(
		'label'             => esc_html__( 'Custom RSS', 'leda' ),
		'description'       => esc_html__( 'Custom RSS URL such as Feedburner.', 'leda' ),
		'section'           => 'leda_misc',
		'priority'          => 1,
		'type'              => 'url'
	) );

	// Register search setting
	$wp_customize->add_setting( 'leda-search-icon', array(
		'default'           => 1,
		'sanitize_callback' => 'leda_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'leda-search-icon', array(
		'label'             => esc_html__( 'Show search icon', 'leda' ),
		'section'           => 'leda_misc',
		'priority'          => 3,
		'type'              => 'checkbox'
	) );

	// Register page title setting
	$wp_customize->add_setting( 'leda-page-title', array(
		'default'           => 1,
		'sanitize_callback' => 'leda_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'leda-page-title', array(
		'label'             => esc_html__( 'Show page title', 'leda' ),
		'section'           => 'leda_misc',
		'priority'          => 5,
		'type'              => 'checkbox'
	) );

	// Register page comment setting
	$wp_customize->add_setting( 'leda-page-comment', array(
		'default'           => 1,
		'sanitize_callback' => 'leda_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'leda-page-comment', array(
		'label'             => esc_html__( 'Show page comment', 'leda' ),
		'section'           => 'leda_misc',
		'priority'          => 7,
		'type'              => 'checkbox'
	) );

	// Register Footer Credits setting
	$wp_customize->add_setting( 'leda-footer-text', array(
		'sanitize_callback' => 'leda_sanitize_textarea',
		'default'           => '&copy; Copyright ' . date( 'Y' ) . ' <a href="' . esc_url( home_url() ) . '">' . esc_attr( get_bloginfo( 'name' ) ) . '</a> &middot; Designed by <a href="http://www.theme-junkie.com/">Theme Junkie</a>'
	) );
	$wp_customize->add_control( 'leda-footer-text', array(
		'label'             => esc_html__( 'Footer Text', 'leda' ),
		'section'           => 'leda_misc',
		'priority'          => 9,
		'type'              => 'textarea'
	) );

}
add_action( 'customize_register', 'leda_misc_customize_register' );
