<?php
/**
 * Posts Slider Customizer
 */

/**
 * Register the customizer.
 */
function leda_slider_posts_customize_register( $wp_customize ) {

	// Register new section: Posts Slider
	$wp_customize->add_section( 'leda_slider_posts' , array(
		'title'       => esc_html__( 'Posts Slider', 'leda' ),
		'description' => esc_html__( 'Posts slider is a list of posts displayed on home page', 'leda' ),
		'panel'       => 'leda_options',
		'priority'    => 1
	) );

	// Register slider enable setting
	$wp_customize->add_setting( 'leda-slider-enable', array(
		'default'           => 1,
		'sanitize_callback' => 'leda_sanitize_checkbox',
	) );
	$wp_customize->add_control( 'leda-slider-enable', array(
		'label'             => esc_html__( 'Show slider posts', 'leda' ),
		'section'           => 'leda_slider_posts',
		'priority'          => 1,
		'type'              => 'checkbox'
	) );

	// Register slider tag setting
	$wp_customize->add_setting( 'leda-slider-tag', array(
		'default'           => '',
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'leda-slider-tag', array(
		'label'             => esc_html__( 'Tag', 'leda' ),
		'section'           => 'leda_slider_posts',
		'priority'          => 3,
		'type'              => 'select',
		'choices'           => leda_tags_list()
	) );

	// Register number of posts setting
	$wp_customize->add_setting( 'leda-slider-num', array(
		'default'           => 5,
		'sanitize_callback' => 'absint',
	) );
	$wp_customize->add_control( 'leda-slider-num', array(
		'label'             => esc_html__( 'Number of posts', 'leda' ),
		'section'           => 'leda_slider_posts',
		'priority'          => 5,
		'type'              => 'number',
		'input_attrs'       => array(
			'min'  => 0,
			'step' => 1
		)
	) );

}
add_action( 'customize_register', 'leda_slider_posts_customize_register' );
