<?php
/**
 * Social Customizer
 */

/**
 * Register the customizer.
 */
function leda_social_customize_register( $wp_customize ) {

	// Register new section: Social
	$wp_customize->add_section( 'leda_social' , array(
		'title'       => esc_html__( 'Social', 'leda' ),
		'description' => __( 'The social button will appear at the bottom of your site. Please add full profile link, for example https://twitter.com/theme_junkie/', 'leda' ),
		'panel'       => 'leda_options',
		'priority'    => 7
	) );

	// Register twitter setting
	$wp_customize->add_setting( 'leda-twitter', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'leda-twitter', array(
		'label'             => esc_html__( 'Twitter', 'leda' ),
		'section'           => 'leda_social',
		'priority'          => 1,
		'type'              => 'url'
	) );

	// Register facebook setting
	$wp_customize->add_setting( 'leda-facebook', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'leda-facebook', array(
		'label'             => esc_html__( 'Facebook', 'leda' ),
		'section'           => 'leda_social',
		'priority'          => 3,
		'type'              => 'url'
	) );

	// Register gplus setting
	$wp_customize->add_setting( 'leda-gplus', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'leda-gplus', array(
		'label'             => esc_html__( 'Google Plus', 'leda' ),
		'section'           => 'leda_social',
		'priority'          => 5,
		'type'              => 'url'
	) );

	// Register linkedin setting
	$wp_customize->add_setting( 'leda-linkedin', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'leda-linkedin', array(
		'label'             => esc_html__( 'Linkedin', 'leda' ),
		'section'           => 'leda_social',
		'priority'          => 7,
		'type'              => 'url'
	) );

	// Register dribbble setting
	$wp_customize->add_setting( 'leda-dribbble', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'leda-dribbble', array(
		'label'             => esc_html__( 'Dribbble', 'leda' ),
		'section'           => 'leda_social',
		'priority'          => 9,
		'type'              => 'url'
	) );

	// Register instagram setting
	$wp_customize->add_setting( 'leda-instagram', array(
		'default'           => '',
		'sanitize_callback' => 'esc_url_raw',
	) );
	$wp_customize->add_control( 'leda-instagram', array(
		'label'             => esc_html__( 'Instagram', 'leda' ),
		'section'           => 'leda_social',
		'priority'          => 11,
		'type'              => 'url'
	) );

}
add_action( 'customize_register', 'leda_social_customize_register' );
